Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 1891)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 1892)
@@ -218,9 +218,15 @@
     fi
 
-    ## algo : For CumulPeriod=1 ; 
-    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
-    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+    ## Algorithme for special treatment for Bands_xxx file
+    ## For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0 ; set LMDZ_adjust=n
+    ##                                IF LMDZ_Bands_file_name was given in lmdz.card THEN Get Bands file directly from server. Store it later with _0 suffix.
+    ##                                IF no LMDZ_Bands_file_name was given, start without Bands file. Store it later with _0 suffix.
+    ##        ELSE set LMDZ_adjust=y ; start without Bands file ; Store it later in PARAM/ directory in submit directory with suffix _1 ;
+    ##
+    ## For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; 
+    ##       Get Bands file from PARAM/ in submit directory (CumulPeriod-1) ; set LMDZ_adjust=y ; Store Bands file in PARAM/ ;
+    ##
+    ## For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from PARAM/ ; Do not store ;
 
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -228,5 +234,4 @@
 	    if [ ! X${LMDZ_Bands_file_name} = X ] ; then
 		IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat 
-		IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
 		IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
 		IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -241,5 +246,8 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+    if [ ${CumulPeriod} -gt 1 ] ; then
+        IGCM_sys_Get ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+        IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    fi
 
     ##-- GHG forcing :
@@ -480,6 +488,14 @@
     IGCM_debug_PushStack "ATM_Finalize"
 
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
-
+    # Copy Bands_ file to PARAM/ in submit directory. This file will be used for the simulation.
+    # Copy also the same file into ATM/Restart at ARCHIVE directory for backup.
+    if [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] ; then
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+    elif [ ${CumulPeriod} -eq 1 ] && [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+      # Special case : first period and no adjust => Save bands file with suffix _0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+    fi
 
     # Add special treatement for CARBON CYCLE
Index: /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 1891)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHT_v5/GENERAL/DRIVER/lmdz.driver	(revision 1892)
@@ -218,9 +218,15 @@
     fi
 
-    ## algo : For CumulPeriod=1 ; 
-    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
-    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+    ## Algorithme for special treatment for Bands_xxx file
+    ## For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0 ; set LMDZ_adjust=n
+    ##                                IF LMDZ_Bands_file_name was given in lmdz.card THEN Get Bands file directly from server. Store it later with _0 suffix.
+    ##                                IF no LMDZ_Bands_file_name was given, start without Bands file. Store it later with _0 suffix.
+    ##        ELSE set LMDZ_adjust=y ; start without Bands file ; Store it later in PARAM/ directory in submit directory with suffix _1 ;
+    ##
+    ## For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; 
+    ##       Get Bands file from PARAM/ in submit directory (CumulPeriod-1) ; set LMDZ_adjust=y ; Store Bands file in PARAM/ ;
+    ##
+    ## For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from PARAM/ ; Do not store ;
 
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -228,5 +234,4 @@
 	    if [ ! X${LMDZ_Bands_file_name} = X ] ; then
 		IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat 
-		IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
 		IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
 		IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -241,5 +246,8 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+    if [ ${CumulPeriod} -gt 1 ] ; then
+        IGCM_sys_Get ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+        IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    fi
 
     ##-- GHG forcing :
@@ -480,6 +488,14 @@
     IGCM_debug_PushStack "ATM_Finalize"
 
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
-
+    # Copy Bands_ file to PARAM/ in submit directory. This file will be used for the simulation.
+    # Copy also the same file into ATM/Restart at ARCHIVE directory for backup.
+    if [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] ; then
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+    elif [ ${CumulPeriod} -eq 1 ] && [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+      # Special case : first period and no adjust => Save bands file with suffix _0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+    fi
 
     # Add special treatement for CARBON CYCLE
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 1891)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 1892)
@@ -218,9 +218,15 @@
     fi
 
-    ## algo : For CumulPeriod=1 ; 
-    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
-    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+    ## Algorithme for special treatment for Bands_xxx file
+    ## For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0 ; set LMDZ_adjust=n
+    ##                                IF LMDZ_Bands_file_name was given in lmdz.card THEN Get Bands file directly from server. Store it later with _0 suffix.
+    ##                                IF no LMDZ_Bands_file_name was given, start without Bands file. Store it later with _0 suffix.
+    ##        ELSE set LMDZ_adjust=y ; start without Bands file ; Store it later in PARAM/ directory in submit directory with suffix _1 ;
+    ##
+    ## For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; 
+    ##       Get Bands file from PARAM/ in submit directory (CumulPeriod-1) ; set LMDZ_adjust=y ; Store Bands file in PARAM/ ;
+    ##
+    ## For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from PARAM/ ; Do not store ;
 
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -228,5 +234,4 @@
 	    if [ ! X${LMDZ_Bands_file_name} = X ] ; then
 		IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat 
-		IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
 		IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
 		IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -241,5 +246,8 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+    if [ ${CumulPeriod} -gt 1 ] ; then
+        IGCM_sys_Get ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+        IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    fi
 
     ##-- GHG forcing :
@@ -480,6 +488,14 @@
     IGCM_debug_PushStack "ATM_Finalize"
 
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
-
+    # Copy Bands_ file to PARAM/ in submit directory. This file will be used for the simulation.
+    # Copy also the same file into ATM/Restart at ARCHIVE directory for backup.
+    if [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] ; then
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+    elif [ ${CumulPeriod} -eq 1 ] && [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+      # Special case : first period and no adjust => Save bands file with suffix _0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+    fi
 
     # Add special treatement for CARBON CYCLE
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 1891)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 1892)
@@ -218,9 +218,15 @@
     fi
 
-    ## algo : For CumulPeriod=1 ; 
-    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
-    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+    ## Algorithme for special treatment for Bands_xxx file
+    ## For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0 ; set LMDZ_adjust=n
+    ##                                IF LMDZ_Bands_file_name was given in lmdz.card THEN Get Bands file directly from server. Store it later with _0 suffix.
+    ##                                IF no LMDZ_Bands_file_name was given, start without Bands file. Store it later with _0 suffix.
+    ##        ELSE set LMDZ_adjust=y ; start without Bands file ; Store it later in PARAM/ directory in submit directory with suffix _1 ;
+    ##
+    ## For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; 
+    ##       Get Bands file from PARAM/ in submit directory (CumulPeriod-1) ; set LMDZ_adjust=y ; Store Bands file in PARAM/ ;
+    ##
+    ## For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from PARAM/ ; Do not store ;
 
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -228,5 +234,4 @@
 	    if [ ! X${LMDZ_Bands_file_name} = X ] ; then
 		IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat 
-		IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
 		IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
 		IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -241,5 +246,8 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+    if [ ${CumulPeriod} -gt 1 ] ; then
+        IGCM_sys_Get ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+        IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    fi
 
     ##-- GHG forcing :
@@ -480,6 +488,14 @@
     IGCM_debug_PushStack "ATM_Finalize"
 
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
-
+    # Copy Bands_ file to PARAM/ in submit directory. This file will be used for the simulation.
+    # Copy also the same file into ATM/Restart at ARCHIVE directory for backup.
+    if [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] ; then
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+    elif [ ${CumulPeriod} -eq 1 ] && [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+      # Special case : first period and no adjust => Save bands file with suffix _0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+    fi
 
     # Add special treatement for CARBON CYCLE
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1891)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1892)
@@ -218,9 +218,15 @@
     fi
 
-    ## algo : For CumulPeriod=1 ; 
-    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
-    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+    ## Algorithme for special treatment for Bands_xxx file
+    ## For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0 ; set LMDZ_adjust=n
+    ##                                IF LMDZ_Bands_file_name was given in lmdz.card THEN Get Bands file directly from server. Store it later with _0 suffix.
+    ##                                IF no LMDZ_Bands_file_name was given, start without Bands file. Store it later with _0 suffix.
+    ##        ELSE set LMDZ_adjust=y ; start without Bands file ; Store it later in PARAM/ directory in submit directory with suffix _1 ;
+    ##
+    ## For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; 
+    ##       Get Bands file from PARAM/ in submit directory (CumulPeriod-1) ; set LMDZ_adjust=y ; Store Bands file in PARAM/ ;
+    ##
+    ## For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from PARAM/ ; Do not store ;
 
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -228,5 +234,4 @@
 	    if [ ! X${LMDZ_Bands_file_name} = X ] ; then
 		IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat 
-		IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
 		IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
 		IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -241,5 +246,8 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+    if [ ${CumulPeriod} -gt 1 ] ; then
+        IGCM_sys_Get ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+        IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    fi
 
     ##-- GHG forcing :
@@ -480,6 +488,14 @@
     IGCM_debug_PushStack "ATM_Finalize"
 
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
-
+    # Copy Bands_ file to PARAM/ in submit directory. This file will be used for the simulation.
+    # Copy also the same file into ATM/Restart at ARCHIVE directory for backup.
+    if [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] ; then
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+    elif [ ${CumulPeriod} -eq 1 ] && [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+      # Special case : first period and no adjust => Save bands file with suffix _0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+    fi
 
     # Add special treatement for CARBON CYCLE
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1891)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1892)
@@ -218,9 +218,15 @@
     fi
 
-    ## algo : For CumulPeriod=1 ; 
-    ##        IF NbPeriod_Adjust = 0, Get Bands file directly from server, store it with _0 suffix
-    ##        ELSE LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; Get Bands file from server (CumulPeriod-1) ; LMDZ_adjust=y ; save Bands file on file server ;
-    ##        For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from server (CumulPeriod=LMDZ_NbPeriod_adjust 0 to force it) ; Use Bands ;
+    ## Algorithme for special treatment for Bands_xxx file
+    ## For CumulPeriod=1 ; 
+    ##        IF NbPeriod_Adjust = 0 ; set LMDZ_adjust=n
+    ##                                IF LMDZ_Bands_file_name was given in lmdz.card THEN Get Bands file directly from server. Store it later with _0 suffix.
+    ##                                IF no LMDZ_Bands_file_name was given, start without Bands file. Store it later with _0 suffix.
+    ##        ELSE set LMDZ_adjust=y ; start without Bands file ; Store it later in PARAM/ directory in submit directory with suffix _1 ;
+    ##
+    ## For CumulPeriod=2 to LMDZ_NbPeriod_adjust ; 
+    ##       Get Bands file from PARAM/ in submit directory (CumulPeriod-1) ; set LMDZ_adjust=y ; Store Bands file in PARAM/ ;
+    ##
+    ## For CumulPeriod > LMDZ_NbPeriod_adjust ; LMDZ_adjust=n ; Get Bands file from PARAM/ ; Do not store ;
 
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -228,5 +234,4 @@
 	    if [ ! X${LMDZ_Bands_file_name} = X ] ; then
 		IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat 
-		IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
 		IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
 		IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0"
@@ -241,5 +246,8 @@
     [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && (( RefPeriod = ${CumulPeriod} - 1 )) 
 
-    [ ${CumulPeriod} -gt 1 ] && ( IGCM_sys_Get ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ; IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat )
+    if [ ${CumulPeriod} -gt 1 ] ; then
+        IGCM_sys_Get ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${RefPeriod} Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+        IGCM_sys_Chmod u+w Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat
+    fi
 
     ##-- GHG forcing :
@@ -480,6 +488,14 @@
     IGCM_debug_PushStack "ATM_Finalize"
 
-    [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] && IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
-
+    # Copy Bands_ file to PARAM/ in submit directory. This file will be used for the simulation.
+    # Copy also the same file into ATM/Restart at ARCHIVE directory for backup.
+    if [ ${CumulPeriod} -le ${LMDZ_NbPeriod_adjust} ] ; then
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_${CumulPeriod}
+    elif [ ${CumulPeriod} -eq 1 ] && [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
+      # Special case : first period and no adjust => Save bands file with suffix _0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${SUBMIT_DIR}/PARAM/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+      IGCM_sys_Put_Out Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_R}/${config_UserChoices_JobName}_Bands_${RESOL_ATM_3D}_${NUM_PROC_ATM}prc.dat_0
+    fi
 
     # Add special treatement for CARBON CYCLE
